This is the mail archive of the cygwin mailing list for the Cygwin project.

Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

Re: [ANNOUNCEMENT] NEW: libtool-1.5.27a-1 / Updated: libltdl3-1.5.27a-1

Question about setup.ini:

@ libltdl3
sdesc: "Libtool's dynamic loader (runtime)"
ldesc: "GNU libtool is a generic library support script.
Libtool hides the complexity of using shared libraries behind
a consistent, portable interface."
category: Libs
requires: cygwin
version: 1.5.27a-1
install: release/libtool/libltdl3/libltdl3-1.5.27a-1.tar.bz2 12066 4f91222bb4561cb6aabe66fe7d735952
source: release/libtool/libtool-1.5.27a-1-src.tar.bz2 407345 c28081acc8f7c6a55f1d74602b6aa56f
version: 1.5.25a-1
install: release/libtool/libltdl3/libltdl3-1.5.25a-1.tar.bz2 11958 a922b14473a349c37d1d60c99f140c3c

For some reason, this is missing the source: entry for [prev], but it's right there:


This is a copy of release/libtool/libtool1.5/libtool1.5-1.5.25a-1-src.tar.bz2
I made this because I had to change the external-source: line in libltdl3's setup.hint from libtool1.5 to libtool -- for both the old (libtool1.5-package-derived) and new (libtool-package-derived) libltdl3.

The odd thing -- and what might be tripping up upset -- is that the libtool directory now has some -src packages with no corresponding binary package:

drwxrwsr-x     4096 Apr 14 15:55 libltdl3
drwxrwsr-x     4096 Apr 14 15:55 libltdl7
drwxrwsr-x     4096 Apr 14 15:55 libtool1.5
-rw-rw-r--   398507 Apr 14 03:37 libtool-1.5.25a-1-src.tar.bz2
-rw-rw-r--   407345 Apr 14 05:41 libtool-1.5.27a-1-src.tar.bz2
-rw-rw-r--   618589 Apr 14 05:41 libtool-1.5.27a-1.tar.bz2
drwxrwsr-x     4096 Apr 14 15:55 libtool2.2
-rw-rw-r--  1457020 Apr 14 03:38 libtool-2.2.2-1-src.tar.bz2
-rw-rw-r--  1459051 Apr 14 05:41 libtool-2.2.2-2-src.tar.bz2
-rw-rw-r--   637468 Apr 14 05:42 libtool-2.2.2-2.tar.bz2
-rw-rw-r--      415 Apr 14 16:08 md5.sum
-rw-rw-r--      347 Apr 14 05:50 setup.hint

Should I create libtool-1.5.25a-1.tar.bz2 (and libtool-2.2.2-1.tar.bz2) packages that are simply copies of libtool1.5/libtool1.5-1.5.25a-1.tar.bz2 (and libtool2.2-2.2.2-1.tar.bz2)?


Unsubscribe info:
Problem reports:

Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]